﻿namespace ViewModelMapper
{
    using System;
    using System.Linq.Expressions;

    public class ConstrainedMap<T, U> : Map<T, U>
    {
        public ConstrainedMap(Expression<Func<T, object>> from, Expression<Func<U, object>> to, Func<T, U, bool> constraint, Direction direction)
            : base(from, to, direction)
        {
            this.Constraint = constraint;
        }
    }
}